Subject: cron: Please add the configurable CRONTAB_UTC patch byBjörn Danielsson

From: Axel Beckert <[email-masked]>
Date: Tue, 04 Jan 2011 04:19:25 +0100

Package: cron
Version: 3.0pl1-116
Severity: wishlist

According to crontab(7) there's no possibility to write cronjobs which
are independent of local DST regulations if the local time of the system
uses a timezone with a DST rule.

An elegant and backwards-compatible solution for this problem seems to
me the patch by Björn Danielsson as published on
http://widell.net/scripts/bd/dst/.

I therefore would appreciate if this patch would be applied to Debian's
version of cron.

-- Package-specific info:

-- System Information:
Debian Release: 6.0
  APT prefers unstable
  APT policy: (990, 'unstable'), (600, 'stable'), (500, 'testing'), (110, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.36-trunk-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages cron depends on:
ii  adduser                       3.112+nmu2 add and remove users and groups
ii  debianutils                   3.4.2      Miscellaneous utilities specific t
ii  dpkg                          1.15.8.7   Debian package management system
ii  libc6                         2.11.2-7   Embedded GNU C Library: Shared lib
ii  libpam-runtime                1.1.1-6.1  Runtime support for the PAM librar
ii  libpam0g                      1.1.1-6.1  Pluggable Authentication Modules l
ii  libselinux1                   2.0.96-1   SELinux runtime shared libraries
ii  lsb-base                      3.2-26     Linux Standard Base 3.2 init scrip

Versions of packages cron recommends:
ii  lockfile-progs                0.1.15     Programs for locking and unlocking
ii  postfix [mail-transport-agent 2.7.1-1    High-performance mail transport ag

Versions of packages cron suggests:
ii  anacron                       2.3-14     cron-like program that doesn't go 
pn  checksecurity                 <none>     (no description available)
ii  logrotate                     3.7.8-6    Log rotation utility

Versions of packages cron is related to:
pn  libnss-ldap                   <none>     (no description available)
pn  libnss-ldapd                  <none>     (no description available)
pn  libpam-ldap                   <none>     (no description available)
pn  libpam-mount                  <none>     (no description available)
pn  nis                           <none>     (no description available)
pn  nscd                          <none>     (no description available)

-- no debconf information

---

From: Christian Kastner <[email-masked]>
Date: Tue, 04 Jan 2011 17:27:25 +0100

Hi Axel,

> I therefore would appreciate if this patch would be applied to Debian's

on that page, the link to the patch is dead: I do get the general idea
though, and think it has merit.

As with the other feature enhancements currently under consideration,
it'll have to wait until we finally upgrade cron to 4.1, which is
(still) going to take a while.

Christian